// przerobione z easyai

#include <iostream.h>

#include "SampleEventHandler.H"
#include "GameStateModule.H"
#include "Game.H"
#include "GameChanges.H"
#include "GameTile.H"
#include "ServerObjData.H"
#include "Options.H"

#include "Coordinator.H"
#include "AIState.H"
#include "AIGUI.H"

using namespace std;

AIState_S state;

bool SampleEventHandler::handle_event(const Event& e){
	if (e.get_who() == GameStateModule::FROM) { 
		if (e.get_what() == GameStateModule::STOP_MSG) {
			state.quit = true;
			return true;
		}
		if (e.get_what() == GameStateModule::READ_ERROR_MSG) {
			return true;
			state.quit = true;
		}
		if (e.get_what() == GameStateModule::VIEW_MSG) {
			if (!state.initialized)
			    InitAI();
			UpdateWorld();
			if ((state.myMarines->size <= 0) || (state.oppMarines->size <= 0))
			    return true;
			Game* game = &state.gsm->get_game();
			int behind = game->get_view_frame() - game->get_action_frame();
			if (behind) {
			    cout << "BEHIND " << behind << "frames" << endl;
		        } else {
 			    ComputeActions();
			}
			state.gsm->send_actions();
			if (state.gui) {
			    state.gui->event();
			    state.gui->display();
			    if (state.gui->quit) {
				cout << "exiting...\n";
				exit(1);
			    }
			}
			return true;
		}
	}
	return false;
}
