#ifndef Common_H
#define Common_H

#define AI_DEBUG false
#define L2_DEBUG false
#define SHOW_TOTAL_LIFE true

#define MAX_MARINES 50
#define DUZO 2000000000

#define m_i_n(x, y) ((x < y) ? x : y)
#define m_a_x(x, y) ((x > y) ? x : y)

// kolejne 2 makra przepisane z aiclient1
#define FOREACHTYPEDFROM(begin, x, ittype, it) \
    for(__typeof(begin) it##0=(begin); it##0!=(x).end(); ++it##0) \
    for(int i##0=0; i##0<1; ++i##0) \
    for(ittype it=(ittype)(*it##0); i##0<1; ++i##0)

#define FOREACHTYPED(x, ittype, it) FOREACHTYPEDFROM((x).begin(), x, ittype, it)

#define FOREACH(x, it) FOREACHTYPED(x, MyMarine*, it)

#define nowhere TPoint(-1, -1)

typedef struct TPoint {
    float x;
    float y;
    TPoint();
    TPoint(float a, float b);
} TPoint;

TPoint operator+(TPoint p1, TPoint p2);
TPoint operator-(TPoint p1, TPoint p2);
TPoint operator*(TPoint p1, float mul);
TPoint operator/(TPoint p1, float div);
bool operator==(TPoint p1, TPoint p2);
bool operator!=(TPoint p1, TPoint p2);

float sqr(float x);
int dist(TPoint p1, TPoint p2);
float dist_f(TPoint p1, TPoint p2);
#define dist_k(p1, p2) (sqr(p1.x-p2.x)+sqr(p1.y-p2.y))

#endif
