#ifndef Formation_H
#define Formation_H

#include "Common.H"
#include "UnitGroup.H"

#define ORDER_STOP 0
#define ORDER_AAP 1
#define ORDER_AAM 2

class Formation : public UnitGroup {
    private:
	void swap(int i1, int i2);
    public:
	int order;
	int last_ua;
	int idToPos[200];
	TPoint shape[MAX_MARINES];
	TPoint pos;
	AMarine* single_target;
	TPoint single_dest;
	Formation();
	~Formation() {};
	void AddUnit(AIObject* aiob);
	int dist_left();
	float dist_left1(MyMarine* m);
	TPoint temp_dest(MyMarine* m);
	bool underAttack();
	void init(TPoint where);
	void update();
	void stop();
	void holdPosition();
	void moveTo(TPoint p);
	void autoAttack(TPoint p);
	void autoAttack(AMarine* aiob);
};

#endif
