#ifndef UnitGroup_H
#define UnitGroup_H

#include "Common.H"
#include "AIObject.H"

class UnitGroup {
    public:
	std::vector<AIObject*> v;
	int size;
	UnitGroup();
	virtual ~UnitGroup() {};
	virtual void AddUnit(AIObject* aiob);
	void RemoveUnit(GameObj* gob);
	AIObject* any();
	int busy();
	bool ready() {return busy() == 0;};
	virtual void update();
	virtual void stop();
	virtual void moveTo(TPoint p);
	virtual void attack(AMarine* aiob);
	virtual void follow(AIObject* aiob);
	virtual void holdPosition();
	virtual void autoAttack(TPoint p);
	virtual void autoAttack(AMarine* aiob);
	TPoint middle();
	int underAttack();
	int life();
};

#endif
