#include "TPoint.H"
#include "Boundary.H"

using namespace std;

Boundary::Boundary() {
    x1 = y1 = x2 = y2 = -1;
}

Boundary::Boundary(int x1, int y1, int x2, int y2) {
    if (y1 > y2) {
	this->x1 = x2;
	this->y1 = y2;
	this->x2 = x1;
	this->y2 = y1;
    } else {
	this->x1 = x1;
	this->y1 = y1;
	this->x2 = x2;
	this->y2 = y2;
    }
}

TPoint Boundary::p1() {
    return TPoint(x1, y1);
}

TPoint Boundary::p2() {
    return TPoint(x2, y2);
}

void Boundary::reverse() {
    int tmp = x1;
    x1 = x2;
    x2 = tmp;
    tmp = y1;
    y1 = y2;
    y2 = tmp;
}
