#ifndef L2_H
#define L2_H

#include "TPoint.H"
#include "Hardware.H"
#include "L1.H"

#define MODE_MOVE		0
#define MODE_ATTACK		1
#define MODE_STOPANDATTACK	2
#define MODE_SYNC		3
#define MODE_STOP		4

using namespace std;

class L2 : public L1 {		// mid-level single-unit ai
    private:
	int face_dir;
	AIObject* chooseTarget();
    public:
	float GATHER_RANGE;	// unused
	bool ready;
	bool init;
	int prev_node;
	int curr_node;
	int next_node;
	int mode;
	bool paused;
	bool ignore;
	int time_stopped;
	int min_dst;		// for coordinator1
	L2(Hardware* h);
	virtual ~L2() {};
	virtual void update();
	void sync();
	TPoint correctDir(TPoint t);
	void move(int node);
	void commit();
};

#endif
