#ifndef TPoint_H
#define TPoint_H

#include <string>

#define nowhere TPoint(-1, -1)

using namespace std;

typedef struct TPoint {			// location (point) on map
    float x;
    float y;
    TPoint();
    TPoint(int x, int y);
    TPoint(float x, float y);
    string toString();
} TPoint;

bool operator==(TPoint p1, TPoint p2);
bool operator!=(TPoint p1, TPoint p2);
TPoint operator+(TPoint p1, TPoint p2);
TPoint operator-(TPoint p1, TPoint p2);
TPoint operator*(TPoint p1, float m);
TPoint operator/(TPoint p1, float m);

#endif
