#ifndef ClientState_H
#define ClientState_H

// $Id: ClientState.H,v 1.1 2006/12/31 04:09:40 orts_furtak Exp $

// This is an ORTS file (c) Michael Buro, licensed under the GPL

class GameStateModule;
class GfxModule;

struct ClientState {

  GameStateModule *gsm;
  GfxModule       *gfxm;
  bool just_drew;

  ClientState(GameStateModule &gsm_, GfxModule &gfxm_) :
    gsm(&gsm_), gfxm(&gfxm_)
  {
    just_drew = false;
  }

};

#endif
