#ifndef AIState_H
#define AIState_H

#include "GameStateModule.H"
#include "UnitGroup.H"
#include "Formation.H"

class AIGUI;

struct AIState_S {
    bool initialized;
    bool quit;
    int MARINE_SIZE;
    int SHEEP_SIZE;
    int MAP_WIDTH;
    int MAP_HEIGHT;
    int MARINE_COOLDOWN;
    int MARINE_MAX_HP;
    int last_aiob_id;
    int gameTime;
    int playerId;
    int hcap;
    int AIstage;
    GameStateModule* gsm;
    AIGUI* gui;
    UnitGroup* allUnits;
    UnitGroup* sheeps;
    UnitGroup* myMarines;
    UnitGroup* oppMarines;
    Formation* f1;
    AMarine* curr_target;
};

extern AIState_S state; // zdeklarowane w EventHandlerze

#endif
