#include "Common.H"
#include "Formation.H"

Formation::Formation() : UnitGroup() {
    pos = TPoint(-1, -1);
    for (int i=0; i<MAX_MARINES; i++)
	shape[i] = TPoint(0, 0);
}

void Formation::init(TPoint where) {
    pos = where;
    int i=0;
    FORALL(v, it) {
	MyMarine* m = (MyMarine*)*it;
	m->moveTo(where + shape[i]);
	m->max_bumps = 40;
	i++;
    }
}
