#ifndef UnitGroup_H
#define UnitGroup_H

#include "Common.H"
#include "AIObject.H"

class UnitGroup {
    public:
	std::vector<AIObject*> v;
	int size;
	UnitGroup();
	~UnitGroup() {};
	void AddUnit(AIObject* aiob);
	void RemoveUnit(GameObj* gob);
	AIObject* any();
	int busy();
	bool ready() {return busy() == 0;};
	void update();
	void stop();
	void moveTo(TPoint p);
	void attack(AMarine* aiob);
	void follow(AIObject* aiob);
	void holdPosition();
	void autoAttack(TPoint p);
	void autoAttack(AMarine* aiob);
	TPoint middle();
	int underAttack();
	int life();
};

#endif
