#include "TPoint.H"
#include "AIState.H"
#include "Hardware.H"
#include "UnitGroup.H"
#include "Coordinator1.H"

using namespace std;

void aiInit1() {
}

void smartMove(AIObject* aiob, TPoint dest) {
    TPoint p = halfWayPX(aiob->hardware->pos, dest, state.params.look_ahead);
//    if (state.accessible[(int)p.x][(int)p.y])
//	if (canSee(aiob->hardware->pos, p)) {
//	    aiob->software->low_move(p);
//	    return;
//	}
//    int dst = (int)dist(aiob->hardware->pos, dest);
//    if (dst >= aiob->software->min_dst) {
	p = aiob->software->correctDir(p);
//    } else {
//	aiob->software->min_dst = dst;
//    }
    aiob->software->low_move(p);
}

void computeActions1() {
    FOREACH(state.workers, it)
	if (it->hardware->HW_TYPE == HW_WORKER1) {
	    AIObject* m = state.minerals->nearest(it->hardware->pos);
	    if (it->software->canGather(m)) {
		it->software->low_gather(m);
		it->software->min_dst = (int)state.myControlCenters->nearest(it->hardware->pos);
	    } else {
		smartMove(it, m->hardware->pos);
	    }
	} else {
	    AIObject* cc = state.myControlCenters->nearest(it->hardware->pos);
		it->software->low_return(cc);
		it->software->min_dst = (int)state.minerals->nearest(it->hardware->pos);
	    if (it->software->canReturn(cc)) {
	    } else {
		smartMove(it, cc->hardware->pos);
	    }
	}
    FOREACH(state.workers, it)
	it->software->low_commit();
}
