#ifndef GraphShape_H
#define GraphShape_H

#include "TPoint.H"

using namespace std;

class GraphShape {
    private:
	int width;
	int height;
    public:
	int size;			// graph size;
	int N_CNT;			// neighbours count (for each node), can be 4 or 6
	int N_ARR[6];			// id(n-th neighbour of node) - id(node)
	GraphShape();
	~GraphShape() {};
	int nodeAt(TPoint p);		// converts point to node id
	TPoint nodePos(int node);	// converts node id to point
};

#endif
