#ifndef MyEventHandler_H
#define MyEventHandler_H

#include "GameObj.H"
#include "EventHandler.H"

using namespace std;

class MyEventHandler : public EventHandler {
    private:
	bool new_boundaries;			// new boundaries became visible (unused)
	void read_params();			// read parameters from a text file
	void init_boundaries();			// compute walls and accessible points on map
	void aiinit();				// calls aiinit for proper coordinator
	void detectGame();			// initialization for specified game type
	void afterInitialization();		// stage 2 initialization (unused)
	void removeObj(GameObj* gob);		// for game 3, incomplete
	void updateWorld();			// update data structures from server (GameChanges)
    public:
	MyEventHandler() : EventHandler() {};
	~MyEventHandler() {};
	void beforeInitialization();		// stage 1 initialization
	bool handle_event(const Event& e);
};

#endif
